Search products
curl --request GET \
--url https://api.byblend.com/api/v1/search/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/search/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/search/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"rank": 0.7,
"result_type": "prescription",
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"sku": "1234567890",
"name": "Mupirocin",
"description": "A topical cream that is used to treat skin infections.",
"product_code": "SUPERSPRAY15",
"form": "cream",
"is_active": true,
"label_orientation": "portrait",
"strength": "1%"
}
]
}Search
Search products
Search products by name, SKU, or a substring.
GET
/
api
/
v1
/
search
/
products
Search products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search query
Example:
"rapamycin"
Optional limit on the number of results to return. Max is 100, default is 50.
Example:
10
Response
200 - application/json
Successful response with array of products
results
(Prescription product · object | Non-prescription product · object | Order material · object)[]
- Prescription product
- Non-prescription product
- Order material
Show child attributes
Show child attributes
⌘I